package cz.muni.reddening;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * Class which holds configuration of the application
 */
@SuppressWarnings("SpellCheckingInspection")
@Component
@ConfigurationProperties(prefix = "configuration")
public final class Configuration {
    private String scriptPath = "/root/reddening/scripts/reddeningCalc.py";
    private String database = "ASTRODATA";
    private String table = "stardata";
    private String sqlUrl = "jdbc:mysql://localhost:3306";
    private String sqlUser = "root";
    private String sqlPassword = "";
    private String sqlClass = "com.mysql.cj.jdbc.Driver";

    public String getSqlClass() { return sqlClass; }

    public void setSqlClass(String sqlClass) { this.sqlClass = sqlClass; }

    public String getScriptPath() {
        return scriptPath;
    }

    public void setScriptPath(String scriptPath) {
        this.scriptPath = scriptPath;
    }

    public String getDatabase() {
        return database;
    }

    public void setDatabase(String database) {
        this.database = database;
    }

    public String getTable() {
        return table;
    }

    public void setTable(final String table) {
        this.table = table;
    }

    public String getSqlUrl() {
        return sqlUrl;
    }

    public void setSqlUrl(String sqlUrl) {
        this.sqlUrl = sqlUrl;
    }

    public String getSqlUser() {
        return sqlUser;
    }

    public void setSqlUser(String sqlUser) {
        this.sqlUser = sqlUser;
    }

    public String getSqlPassword() {
        return sqlPassword;
    }

    public void setSqlPassword(String sqlPassword) {
        this.sqlPassword = sqlPassword;
    }
}
